Skip to main content

Overview

The revokeSharedMeetingAccess mutation revokes a previously shared user’s access to a meeting transcript.

Arguments

input
RevokeSharedMeetingAccessInput
required
The revocation details. See RevokeSharedMeetingAccessInput.

Usage Example

To revoke shared access, provide the meeting ID and the email address of the user whose access you want to revoke.
mutation RevokeSharedMeetingAccess($input: RevokeSharedMeetingAccessInput!) {
  revokeSharedMeetingAccess(input: $input) {
    success
    message
  }
}
curl -X POST https://api.fireflies.ai/graphql \
	-H "Content-Type: application/json" \
	-H "Authorization: Bearer your_api_key" \
	-d '{
		"query": "mutation($input: RevokeSharedMeetingAccessInput!) { revokeSharedMeetingAccess(input: $input) { success message } }",
		"variables": {
			"input": {
				"meeting_id": "your_meeting_id",
				"email": "user@example.com"
			}
		}
	}'
{
  "data": {
    "revokeSharedMeetingAccess": {
      "success": true,
      "message": "Revoked meeting access"
    }
  }
}

Error Codes

List of possible error codes that may be returned by the revokeSharedMeetingAccess mutation. Full list of error codes can be found here.

The specified transcript could not be found or you do not have access to it.

The specified email does not have shared access to this meeting.

The user must be either the meeting owner or a team admin to revoke shared access.

Additional Resources